Retrieve a route by name

- « Yaf_Router::getCurrentRoute

- Yaf_Router::getRoutes »

- PHP Manual
- Yaf_Router
- Retrieve a route by name

# Yaf_Router::getRoute

(Yaf >=1.0.0)

Yaf_Router::getRoute — Retrieve a route by name

### Description

public Yaf_Router::getRoute(string `$name`): Yaf_Route_Interface

Retrieve a route by name, see also Yaf_Router::getCurrentRoute()

### Parameters

This function has no parameters.

### Return Values

### See Also

- Yaf_Bootstrap_Abstract
- Yaf_Plugin_Abstract
- Yaf_Router::addRoute() - Add new Route into Router
- Yaf_Router::getCurrentRoute() - Get the effective route name